﻿@model List<SportsClub.Models.ParentBillingMethodsItemViewModel>

@{
    Layout = null;
}

<div class="content-result parent-grid-custom" style="margin-top:15px;">
    <div id="ParentCreditCardGrid">
    </div>
</div>
<script src="~/Scripts/Libraries/KendoUI/kendo.all.min.js"></script>
<script>


    $("#ParentCreditCardGrid").kendoGrid({
        dataSource: {
            type: "json",
            transport: {
                read: {
                    url: "BillingMethodsItems",
                    dataType: "json"
                },
                parameterMap: function (data, type) {
                    if (type === "read") {
                        return {
                            term: '',
                            skip: data.skip,
                            take: data.take,
                            page: data.page,
                            pageSize: data.pageSize,
                            sort: null
                        }
                    }
                }
            },
            requestStart: function () {

            },
            requestEnd: function () {

            },
            schema: {
                total: "TotalCount",
                data: "DataSource"
            },
            resizable: true,
        },
        groupable: false,
        sortable: true,

        scrollable: {
            virtual: true
        },

        columns: [{
            field: "Method",
            title: "Method",
            width: "200px",
            template: "#= Method # #if(IsDefault) {# <i class='grid-label-active'>Preferred</i> #}#"
        },
        {
            field: "CardHolderName",
            title: "Cardholder name",
            width: "150px"
        },
        {
            field: "ExpiryDate",
            title: "Expiration",
            width: "150px"
        },
        {
            field: "Address",
            title: "Address",
            width: "150px"
        },
         
        {
            title: "Actions",
            width: "70px",
            headerTemplate: "<span class='actions-title'>Actions</span>",
            template: "#if(!HasInstallment && !IsDefault && IsLast){#  <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu' id='ActionPayment'>\
                                    <li onclick='EditUserCard(#=Id#)' id='createEditUserCard'>\
                                       <span class='k-link jbi-pencil'>Edit</span>\
                                    </li>\ <li  id='SetActive' onclick='SetActive(#=Id#,#=UserId#)' data-toggle='confirmation'>\
                                       <span class='k-link jbi-pencil' >Set as preferred</span>\
                                    </li>\
                                    <li id='deleteCard' onclick='DeleteCard(#=Id#)'>\
                                      <span class='k-link jbi-remove' >Remove</span>\
                                    </li>\</ul>\  #}else if(!HasInstallment && IsDefault && IsLast){#  <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu' id='ActionPayment' >\
                                    <li onclick='EditUserCard(#=Id#)' id='createEditUserCard'>\
                                       <span class='k-link jbi-pencil'>Edit</span>\
                                    </li>\
                                    <li  data-toggle='confirmation' id='SetActive' >\
                                       <span class='k-link jbi-pencil' style='cursor: default;color: rgba(0, 0, 0, 0.5);'>Set as preferred</span>\
                                    </li>\
                                    <li id='deleteCard' onclick='DeleteCard(#=Id#)' >\
                                      <span class='k-link jbi-remove' >Remove</span>\
                                    </li>\
                            </ul>\  # }\else if (HasInstallment && !IsDefault && IsLast){# <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu' id='ActionPayment' >\
                                    <li onclick='EditUserCard(#=Id#)' id='createEditUserCard'>\
                                       <span class='k-link jbi-pencil'>Edit</span>\
                                    </li>\
                                     </li>\ <li  id='SetActive' onclick='SetActive(#=Id#,#=UserId#)' data-toggle='confirmation'>\
                                       <span class='k-link jbi-pencil' >Set as preferred</span>\
                                    </li>\
                                 <li  id='deleteCard' >\
                                     <span class='k-link jbi-remove' style='cursor: default;color: rgba(0, 0, 0, 0.5);'>Remove</span>\
                                   </li>\
                            </ul>\#} \else if (HasInstallment && IsDefault && IsLast){# <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu' id='ActionPayment' >\
                                    <li onclick='EditUserCard(#=Id#)' id='createEditUserCard'>\
                                       <span class='k-link jbi-pencil'>Edit</span>\
                                    </li>\
                                    <li  data-toggle='confirmation' id='SetActive' >\
                                       <span class='k-link jbi-pencil' style='cursor: default;color: rgba(0, 0, 0, 0.5);'>Set as preferred</span>\
                                    </li>\
                                 <li  id='deleteCard' >\
                                     <span  class='k-link jbi-remove' style='cursor: default;color: rgba(0, 0, 0, 0.5);' >Remove</span>\
                                   </li>\
                            </ul>\#}\else if (!IsDefault && !IsLast){# <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu' id='ActionPayment' >\
                                    <li onclick='EditUserCard(#=Id#)' id='createEditUserCard'>\
                                       <span class='k-link jbi-pencil'>Edit</span>\
                                    </li>\
                                 </li>\ <li  id='SetActive' onclick='SetActive(#=Id#,#=UserId#)' data-toggle='confirmation'>\
                                       <span class='k-link jbi-pencil' >Set as preferred</span>\
                                    </li>\
                                 <li onclick='DeleteCard(#=Id#)' id='deleteCard' >\
                                     <span class='k-link jbi-remove' >Remove</span>\
                                   </li>\
                            </ul>\#} \else if (IsDefault && !IsLast){# <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu' id='ActionPayment' >\
                                    <li onclick='EditUserCard(#=Id#)' id='createEditUserCard'>\
                                       <span class='k-link jbi-pencil'>Edit</span>\
                                    </li>\
                                    <li  data-toggle='confirmation' id='SetActive' >\
                                       <span class='k-link jbi-pencil' style='cursor: default;color: rgba(0, 0, 0, 0.5);'>Set as preferred</span>\
                                    </li>\
                                 <li  id='deleteCard' >\
                                     <span class='k-link jbi-remove' style='cursor: default;color: rgba(0, 0, 0, 0.5);' >Remove</span>\
                                   </li>\
                            </ul>\#} #"
        }]
    });
    function onDataBound(arg) {
        kendoEmptyGridFix();
    }


    function kendoEmptyGridFix() {

        $("[data-role='grid']").each(function () {
            $(this).data("kendoGrid").bind('detailInit', function (e) {
                kendoEmptyGridFix();
            });
            $(this).data("kendoGrid").bind('dataBound', function (e) {
                if ($(this)[0].dataSource._view.length == 0) {

                    $("#ParentCreditCardGrid").hide();
                    $(".content-result .parent-grid-custom").style.display = hide;

                    $("#EmptyGrid").show();

                }
                else { $(".content-result .parent-grid-custom").style.display = block; }
            });
        });
    }

    $(document).ready(function () {

        kendoEmptyGridFix();

    });
</script>

